<div class="plc output-statement device-statement" >
    <div class="plc-menu">
        {{config.shutdownReasonStatement}}
    </div>
    <div class="shutdown-reason-move-module move-module"
         ng-class="{'transform-animateOut':bodyConfig.animateOut,'transform-select':bodyConfig.animateSelect}">
        <div class="plc-content output-statement-heading">
            <div class="row">
                <div class="col-sm-12">
                    <div class="public-horizon-form">
                    	<div class="public-horizon">
                        <div class="horizon-btns horizon-label">
                            <div class="radio radio-primary radio-inline">
                                <input type="radio" id="inlineRadio1" name="identity" ng-click="changeSelect('W')" ng-checked=true>
                                <label for="inlineRadio1"> 按生产区域查询 </label>
                            </div>
                        </div>
                        <div class="horizon-btns horizon-label">
                            <div class="radio radio-primary radio-inline">
                                <input type="radio" id="inlineRadio2" name="identity" ng-click="changeSelect('L')">
                                <label for="inlineRadio2" > 按拉线查询 </label>
                            </div>
                        </div>
                        <div class="horizon-btns horizon-label">
                            <div class="radio radio-primary radio-inline">
                                <input type="radio" id="inlineRadio3" name="identity" ng-click="changeSelect('RT')">
                                <label for="inlineRadio3" > 按设备类型查询 </label>
                            </div>
                        </div>
                        <div class="horizon-btns horizon-label">
                            <div class="radio radio-primary radio-inline">
                                <input type="radio" id="inlineRadio4" name="identity" ng-click="changeSelect('R')">
                                <label for="inlineRadio4" > 按设备查询  </label>
                            </div>
                        </div>
                    </div>
                        <div class="public-horizon">
                            <label class="horizon-label label-4"><span class="text-red" ng-if="config.showWorkArea">*</span>生产区域：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput)}">
                                    <input ng-init="focusInput=false" ng-focus="focusInput=true"  ng-blur="focusInput=false"
                                           type="text" value="" placeholder="搜索" class="form-control ad-left-child" ng-disabled="true"
                                           ng-model="statementConfig.currentWorkCenterDesc" ng-change="disableBtn()" ng-keyup="upModel('workArea')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toAreaHelp()" ng-if="config.showSelectArea"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('area')" ng-if="!config.showSelectArea"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red" ng-if="config.showLineArea">*</span>拉线：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(lineInput)}">
                                    <input ng-init="lineInput=false" ng-focus="lineInput=true"
                                           ng-keyup="upModel('workLine')" ng-disabled="true"
                                           ng-blur="lineInput=false" type="text" value="" placeholder="搜索"
                                           class="form-control ad-left-child" ng-model="statementConfig.currentLineDesc"
                                           ng-change="lineChanged('S')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toWireLineHelp()"
                                       ng-if="config.showSelectLine"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('line')"
                                       ng-if="!config.showSelectLine"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red" ng-if="config.showResourceType">*</span>设备类型：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceTypeInput)}">
                                    <input ng-init="deviceTypeInput=false" ng-focus="deviceTypeInput=true"
                                           ng-keyup="upModel('deviceCode')" ng-disabled="true"
                                           ng-blur="deviceTypeInput=false" type="text"
                                           value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="statementConfig.currentDeviceTypeDesc" ng-change="deviceTypeChanged('T')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toDeviceTypeHelp()"
                                       ng-if="config.deviceType"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus"
                                       ng-click="deleteAll('deviceType')" ng-if="!config.deviceType"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4"><span class="text-red" ng-if="config.showResource">*</span>设备：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceInput)}">
                                    <input ng-init="deviceInput=false" ng-focus="deviceInput=true"
                                           ng-keyup="upModel()" ng-disabled="false"
                                           ng-blur="deviceInput=false" type="text"
                                           value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="statementConfig.currentDeviceNum" ng-change="controlQueryBtn()">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toDeviceHelp()"
                                       ng-if="config.deviceCode"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus"
                                       ng-click="deleteAll('deviceCode')" ng-if="!config.deviceCode"></i>
                                </div>
                            </div>
                        </div>
                        <div class="public-horizon">
                            <div class="horizon-btns horizon-label">
                                <div class="radio radio-primary radio-inline">
                                    <input type="radio" id="dateRadio1" name="identityDate" ng-click="changeAddType('M')" ng-checked=true>
                                    <label for="dateRadio1"> 按月汇总 </label>
                                </div>
                            </div>
                            <div class="horizon-btns horizon-label">
                                <div class="radio radio-primary radio-inline">
                                    <input type="radio" id="dateRadio2" name="identityDate" ng-click="changeAddType('W')">
                                    <label for="dateRadio2" > 按周汇总 </label>
                                </div>
                            </div>
                            <div class="horizon-btns horizon-label">
                                <div class="radio radio-primary radio-inline">
                                    <input type="radio" id="dateRadio3" name="identityDate" ng-click="changeAddType('D')">
                                    <label for="dateRadio3" > 按天汇总 </label>
                                </div>
                            </div>
                            <div class="horizon-btns horizon-label">
                                <div class="radio radio-primary radio-inline">
                                    <input type="radio" id="dateRadio4" name="identityDate" ng-click="changeAddType('S')">
                                    <label for="dateRadio4" > 按班次汇总 </label>
                                </div>
                            </div>
                        </div>

                        <div class="public-horizon">
                            <label class="horizon-label label-4" ><span class="text-red" >*</span>开始日期：</label>
                            <div class="horizon-group horizon-col-3" >
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(modelInput)}">
                                    <input type="text" value="" id="outputStartDate" ng-if="!config.selectType"
                                           class="form-control"
                                           ng-model="config.startDate" ng-change="disableBtn()"
                                           ng-init="initDateTimePicker('#outputStartDate', {},'Y-m-d',false,false);"/>
                                    <div class="dateClass" ng-if="config.selectType">
                                        <input type="text"  ng-focus="dateStart=true" class="form-control"
                                               ng-model="config.startDateMouth">
                                        <date-directive  date-div="dateStart" date-year-mouth="config.startDateMouth" date-status="start" date-year-mouth-day="config.startDate" ><date-directive/>
                                    </div>
                                </div>
                            </div>
                            <label class="horizon-label label-4" ><span class="text-red" >*</span>结束日期：</label>
                            <div class="horizon-group horizon-col-3" >
                                <div class="nbox-group-input andon-input-wrapper">
                                    <input type="text" value="" id="outputEndDate"
                                           class="form-control" ng-if="!config.selectType"
                                           ng-model="config.endDate" ng-change="disableBtn()"
                                           ng-init="initDateTimePicker('#outputEndDate', {},'Y-m-d',false,false);"/>
                                    <div  ng-if="config.selectType">
                                        <input type="text"  ng-focus="dateEnd=true" class="form-control" ng-model="config.endDateMouth" >
                                        <date-directive date-div="dateEnd" date-year-mouth="config.endDateMouth" date-status="end" date-year-mouth-day="config.endDate"><date-directive/>
                                    </div>
                                </div>
                            </div>
                            <label ng-show="config.showShift" class="horizon-label label-4">班次：</label>
                            <div class="horizon-group horizon-col-3" ng-show="config.showShift">
                                <ui-select class="andon-content-ui-select" ng-model="statementConfig.currentShift">
                                    <ui-select-match placeholder="--- 请选择 ---">
                                        <span ng-bind="statementConfig.currentShift.description || statementConfig.currentShift.shift"></span>
                                    </ui-select-match>
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">
                                            <span ng-if="!statementConfig.currentWorkCenter.workCenter"
                                                  class="no-action-color">请先选择生产区域</span>
                                            <span ng-if="!!statementConfig.currentShift.shift" class="no-data-color">暂无班次</span>
                                        </a>
                                    </ui-select-no-choice>
                                    <ui-select-choices
                                            repeat="item in (statementConfig.shiftsChange) track by $index">
                                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                            <div class="horizon-btns">
                                <button class="btn btn-primary" ng-click="queryDatas()" ng-disabled="config.queryBtn">查询</button>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <move-template></move-template>
    <div class="plc-content plato-statement-content">
        <div class="row">
            <div class="col-sm-12">

            </div>
        </div>
        <div class="echartsClass" ng-if="config.showEcharts"  id="main"></div>
        <form class="form-horizontal" role="form" ng-if="config.showCount">
            <div class="row statement-title">
                <div class="col-sm-2 col-xs-2" style="width: 61.5%">
                    <label class="control-label label-title">{{config.byTypeDesc}}  {{config.byTimeTypeDesc}} {{config.dataNum}}</label>
                </div>
                <div class="col-sm-3 col-xs-3">
                </div>
                <div class="col-sm-3 col-xs-3">
                    <!--<label class="control-label label-title">最大停机时长：FTJI001 500min</label>-->
                </div>
                <div class="col-sm-3 col-xs-3 px-public-hide-div">
                    <div ng-click="showHideCol()" class="px-public-hide-inline">
                        <i class="fa fa-cog"></i>
                        <div class="px-public-hide-col">显示隐藏列
                        </div>
                    </div>
                </div>
                <div class="statement-save-btn pull-right">
                    <button type="button" id="pullData" class="btn btn-primary" ng-disabled="config.downLoadBtn" ng-click="downLoad()">导出</button>
                </div>
            </div>
        </form>
<!--         <div ui-grid="gridShutdownReasonStatement" ng-if="gridShutdownReasonStatement.data.length>0"
             ui-grid-edit ui-grid-cellnav  ui-grid-resize-columns ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns>
        </div> -->
        		<div id="plc-data-item-grid-area" ui-grid="ShutdownReasonGridWorkAreaStatement" ng-if="config.queryGridAreaShow"
                     ui-grid-edit ui-grid-cellnav   ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns
                     class="plc-data-item-grid ad-basic-grid" ></div>
                <div id="plc-data-item-grid-line" ui-grid="ShutdownReasonGridLineAreaStatement" ng-if="config.queryGridLineShow"
                     ui-grid-edit ui-grid-cellnav   ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns
                     class="plc-data-item-grid ad-basic-grid" ></div>
                <div id="plc-data-item-grid-device" ui-grid="ShutdownReasonGridResourceTypeStatement" ng-if="config.queryGridDeviceShow"
                     ui-grid-edit ui-grid-cellnav   ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns
                     class="plc-data-item-grid ad-basic-grid" ></div>
                <div id="plc-data-item-grid-code" ui-grid="ShutdownReasonGridResourceStatement" ng-if="config.queryGridAreaCodeShow"
                     ui-grid-edit ui-grid-cellnav   ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns
                     class="plc-data-item-grid ad-basic-grid" >
                </div>
    </div>
</div>